<?php

class LSTEvento extends AppListado {

	public function init(){
		
		$nombre = new CLMTexto('nombre','$nombre#','Persona');
		
		$this->addColumna($nombre);
		
		/*$precio = new CLMNumero('precio','$precio#','Precio €',2);
		$this->addColumna($precio);
		
		$plazas = new CLMNumero('plazas','$plazas#','Plazas',0);
		$this->addColumna($plazas);
		
		$fecha = new CLMFecha('fecha','$fecha#','Fecha');
		$this->addColumna($fecha);

		$fecha = new CLMTexto('fechaTexto','$fecha#','Fecha');
		$this->addColumna($fecha);

		$fecha = new CLMHora('HoraTexto','$fecha#','Hora');
		$this->addColumna($fecha);
		
		$check = new CLMCheck('tieneFechacheck','$tieneFecha#','Con fecha');
		$check->addValorMultiple('0', 'KOOO');
		$check->addValorMultiple('1', 'OK');
		$check->addValorMultiple('2', 'NOSE');
		$this->addColumna($check);
		
		
		
		
		$multiple = new CLMMultiple('tieneFechaMultiple','$tieneFecha#','Con fecha');
		$multiple->addValorMultiple('0', 'KOOO');
		$multiple->addValorMultiple('1', 'OK');
		$this->addColumna($multiple);
		
		$multiple2 = new CLMMultiple('tieneFecha','$tieneFecha#','Con fecha');
		$multiple2->addValorMultiple('0', 'KOOO');
		$multiple2->addValorMultiple('1', 'OK');
		$this->addColumna($multiple2);
*/
		$icono = new VstIcono(VstIcono::APP_icon_tasks);
		$boton = new VstBoton('/evento/editar/id/$idEvento#',
				BASEURL , 'Editar', '', $icono);
		$boton->setClase('btn-lg btn-primary');
		$boton->setModal(true);
		$boton->setDestino('#formulario_edicion');
		$col_acc = new CLMTexto('col_acc',$boton->render(),'Estado');
		$this->addColumna($col_acc);
		
		
		
		/*$acciones = new CLMAccion('acciones');
		$acciones->addAccionEditar(array('id'=>'$idEvento#'));
		$this->addColumna($acciones);
		*/
		/*
		$acciones = new CLMAccion('acciones');
		$acciones->addAccionEditar(array( 'id' => '$idEvento#'));
		//$accciones->addAcconEditar($controler,$array parametros)
//		$acciones->addAccionVer(array( 'id' => '$id_cliente#'));
	//	$acciones->addAccionEliminar(array( 'id' => '$id_cliente#'), '¿Esta seguro que deseaa Eliminar el cliente $nombre#?');
		//$acciones->addAccionEliminar('/clientes/eliminar/id/$id_cliente#',);
		$this->addColumna($acciones);
		
		*/
		//$segundaColumnaAcciones  = new CLMAccion('acciones2','clientes');
		//$segundaColumnaAcciones->addAccion('Planificar', 'Planificar', AppIcono::APP_icon_calendar, array('id'=> '$id_cliente#'), 'planificar');
		//$this->addColumna($segundaColumnaAcciones);
		
		
	}
	
}